Subject: Re: whomto.pl -- finding out whom to send patches to

From: Joe Perches <[email-masked]>
Date: Thu, 29 May 2008 11:20:33 -0700

> I've written this perl script that takes a patch as input and prints the
> authors/committers of the affected lines, using git-blame as the back end.

Nice enough script.
It's unfortunate that it can't output the appropriate mailing lists.

I think the shell script that Linus gave awhile ago:
http://lkml.org/lkml/2007/8/14/276

        #!/bin/sh
               git log --since=6.months.ago -- "$@" |
                       grep -i '^    [-a-z]*by:.*@' |
                       sort | uniq -c |
                       sort -r -n | head
        
         (Maybe you want to add a
               grep -v '\(Linus Torvalds\)\|\(Andrew Morton\)'
        
might work just as well.

I still prefer the file pattern match in MAINTAINERS, or
another external file, and/or data stored directly into GIT
via gitattributes approaches.

This script can give maintainer, mailing lists, and git
contact information for patches or files.
http://lkml.org/lkml/2007/8/20/352
The script works with git-send-email to cc the appropriate parties.

This script and git repository is very old and probably doesn't apply...
git pull git://repo.or.cz/linux-2.6/trivial-mods.git get_maintainer